Skip to main content
LINK provides a unified rate endpoint for all retail on-ramp and off-ramp directions. Call this before initiating a transaction to show users the live rate and expected payout amount.

Endpoint

GET /transactions/v2/rate_quote

Query Parameters

ParameterTypeRequiredDescription
currencystringFiat currency (e.g. NGN, USD)
amountstringAmount in the fiat currency
trx_typestringDirection: onramp or offramp

Code Examples

const options = {
  method: 'GET',
  headers: {
    accept: 'application/json',
    'ngnc-sec-key': 'YOUR_SECRET_KEY',
    'content-type': 'application/json'
  }
};

fetch('https://api.linkio.world/transactions/v2/rate_quote?currency=NGN&amount=500000&trx_type=onramp', options)
  .then(response => response.json())
  .then(response => console.log(response))
  .catch(err => console.error(err));

Response

{
  "message": "Rate retrieved",
  "data": {
    "rate": 1580,
    "payout_amount": 316.46,
    "paymentMethod": "LOCAL_BANK_TRANSFER"
  }
}

Retail On-Ramp Retail Off-Ramp